summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony Green <green@moxielogic.com>2019-11-10 08:20:46 -0500
committerAnthony Green <green@moxielogic.com>2019-11-10 08:20:46 -0500
commit0de0c6a28006902c203e8dc6629cd9ef35d61e09 (patch)
treea7d650a6b3fa924c9453b7b3129a4b8ff51064e9
parent4e3e0586efbbc7828c15fb48e49401840beefcdd (diff)
downloadlibffi-0de0c6a28006902c203e8dc6629cd9ef35d61e09.tar.gz
Build both iOS and Macosx
-rw-r--r--.travis.yml4
-rwxr-xr-x.travis/build.sh16
2 files changed, 18 insertions, 2 deletions
diff --git a/.travis.yml b/.travis.yml
index f744bce..6c0ca8f 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -10,7 +10,9 @@ language: cpp
matrix:
include:
- os: osx
- env: HOST=arm-apple-darwin
+ env: HOST=aarch64-apple-darwin13
+ - os: osx
+ env: HOST=x86_64-apple-darwin10
- os: linux
env: HOST=sh4-linux-gnu CONFIGURE_OPTIONS=--disable-shared QEMU_LD_PREFIX=/usr/sh4-linux-gnu
- os: linux
diff --git a/.travis/build.sh b/.travis/build.sh
index ab773fb..92e808c 100755
--- a/.travis/build.sh
+++ b/.travis/build.sh
@@ -63,17 +63,31 @@ function build_ios()
{
which python
# export PYTHON_BIN=/usr/local/bin/python
- ./generate-darwin-source-and-headers.py
+ ./generate-darwin-source-and-headers.py --only-ios
xcodebuild -showsdks
xcodebuild -project libffi.xcodeproj -target "libffi-iOS" -configuration Release -sdk iphoneos11.4
exit $?
}
+function build_macosx()
+{
+ which python
+# export PYTHON_BIN=/usr/local/bin/python
+ ./generate-darwin-source-and-headers.py --only-osx
+ xcodebuild -showsdks
+ xcodebuild -project libffi.xcodeproj -target "libffi-Mac" -configuration Release -sdk macosx10.13
+ exit $?
+}
+
case "$HOST" in
arm-apple-darwin*)
./autogen.sh
build_ios
;;
+ x86_64-apple-darwin*)
+ ./autogen.sh
+ build_macosx
+ ;;
arm32v7-linux-gnu)
./autogen.sh
build_foreign_linux arm moxielogic/arm32v7-ci-build-container:latest